%define version 1.3.8
%define release 1mdk

Summary: 	Graphics file browser utility
Name: 		gqview
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Graphics
URL: 		http://gqview.sourceforge.net/
BuildRoot:	%_tmppath/%{name}-%version-%release-root

Source: 	http://prdownloads.sourceforge.net/gqview/%{name}-%{version}.tar.bz2
BuildRequires:  gtk+2-devel
BuildRequires:  libpng-devel
BuildRequires:	ImageMagick

%description
GQview is a browser for graphics files.

Offering single click viewing of your graphics files.
Includes thumbnail view, zoom and filtering features.
And external editor support.

%prep
%setup -q

%build
%configure2_5x
perl -pi -e 's|#define GQVIEW_HELPDIR .*|#define GQVIEW_HELPDIR "%_docdir/%{name}-%{version}"|' config.h

%make

%install
rm -fr %{buildroot}
%makeinstall GNOME_DATADIR=%{buildroot}/%{_datadir}
install -m 0644 -D gqview.desktop %{buildroot}%{_datadir}/gnome/apps/Graphics/gqview.desktop
install -m 0644 -D gqview.png %{buildroot}%{_datadir}/pixmaps/gqview.png

# icons
mkdir -p %{buildroot}%{_iconsdir} %{buildroot}%{_miconsdir}
install -m 0644 -D      gqview.png %{buildroot}%{_liconsdir}/%{name}.png
convert -geometry 32x32 gqview.png %{buildroot}%{_iconsdir}/%{name}.png
convert -geometry 16x16 gqview.png %{buildroot}%{_miconsdir}/%{name}.png

# removing uneeded stuff
rm -f %{buildroot}%{_datadir}/gqview/README

# menu
mkdir -p %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): \
 command="%{_bindir}/%{name}" \
 icon="%{name}.png" \
 title="GQview" \
 longtitle="A browser for graphics files" \
 needs="x11" \
 section="Multimedia/Graphics"
EOF

# locale name fix
mv %{buildroot}%{_datadir}/locale/zh_CN{.GB2312,}

%{find_lang} %{name}

%post
%update_menus

%postun
%clean_menus

%clean
rm -fr %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README COPYING TODO 
%{_bindir}/*
%{_mandir}/man1/*

%{_menudir}/*
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png

%{_datadir}/gnome/apps/*/*.desktop
%{_datadir}/pixmaps/*

%changelog
* Fri Jan 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.3.8-1mdk
- new version

* Tue Dec 30 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.3.7-1mdk
- new version

* Tue Dec 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.3.6-1mdk
- remove the patch, the new warning message is less scary
- new version

* Mon Nov 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.3.5-1mdk
- new version

* Wed Nov  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.3.4-1mdk
- drop patch 1
- new version

* Fri Sep  5 2003 Damien Chaumette <dchaumette@mandrakesoft.com> 1.3.2-4mdk
- fix buildrequires

* Tue Aug 26 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.3.2-3mdk
- fix buildrequires

* Tue Aug 26 2003 Abel Cheung <deaddog@deaddog.org> 1.3.2-2mdk
- Patch0: Eliminate annoying warning message (Chmouel)
- Patch1: Don't provide XV as image editor choice, use gimp 1.3 instead
- Avoid GNOME 1 dependency, install desktop/icon files manually
- Fix file list
- Use ImageMagick to convert icons, thus no need to bundle them

* Tue Aug  5 2003 Till Kamppeter <till@mandrakesoft.com> 1.3.2-1mdk
- version 1.3.2

* Tue Apr 22 2003 Damien Chaumette <dchaumette@mandrakesoft.com> 1.3.1-1mdk
- version 1.3.1 (gtk2)

* Fri Jan 10 2003 Damien Chaumette <dchaumette@mandrakesoft.com> 1.2.0-1mdk
- version 1.2.0

* Wed Oct 16 2002 Damien Chaumette <dchaumette@mandrakesoft.com> 1.1.6-1mdk
- version 1.1.6

* Wed Mar 20 2002 David BAUDENS <baudens@mandrakesoft.com> 1.0.2-2mdk
- Clean after build

* Fri Feb 01 2002 Yves Duret <yduret@mandrakesoft.com> 1.0.2-1mdk
- version 1.0.2

* Sun Jan 20 2002 Yves Duret <yduret@mandrakesoft.com> 1.0.1-1mdk
- version 1.0.1
- png icons instead of xpm

* Wed Dec 19 2001 Yves Duret <yduret@mandrakesoft.com> 1.0-1mdk
- true version 1.0

* Thu Dec 13 2001 Yves Duret <yduret@mandrakesoft.com> 0.99.3-1mdk
- version 0.99.3 (1.0 RC 1)

* Fri Dec 07 2001 Yves Duret <yduret@mandrakesoft.com> 0.99.2-1mdk
- version 0.99.2

* Wed Nov 28 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.1-0.1mdk
- Fix displaying help.
- use %%makeinstall_std
- 0.99.1.
- Make Q act like Control-Q like all others viewver (and Q is unused).

* Wed Oct 17 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.10.1-3mdk
- rebuilt with libpng3

* Mon Oct 08 2001 Stefan van der Eijk <stefan@eijk.nu> 0.10.1-2mdk
- BuildRequires: gdk-pixbuf-devel gnome-libs-devel
- Removed redundant BuildRequires

* Fri Aug 24 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.10.1-1mdk
- release 0.10.1

* Wed Feb 21 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.10.0-1mdk
- new stable version
- added .desktop, pixmaps, manpages

* Wed Jan 03 2001 David BAUDENS <baudens@mandrakesoft.com> 0.8.2-7mdk
- Use optimizations
- Spec clean up

* Mon Sep 25 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.8.2-6mdk
- changed icon

* Tue Sep  5 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.8.2-5mdk
- icons
- further macroszification

* Thu Aug 24 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.8.2-4mdk
- macros
- added %lang

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.8.2-3mdk
- automatically added BuildRequires

* Thu Jun 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.8.2-2mdk
- change url, thanks Jan. 

* Thu Jun 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.8.2-1mdk
- v0.8.2
- add locale
- fix install & files section

* Fri Apr 28 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.0-10mdk
- add icon (32*32 and 16*16)
- cleanup spec file 

* Wed Apr 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.7.0-9mdk
- merge menu file with spec
- clean spec

* Thu Mar 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.7.0-8mdk
- fix rpmlint warnings

* Mon Mar 20 2000 Lenny Cartier <lenny@mandrakesoft.com>
- clean specfile
- add menu entry 

* Wed Nov 10 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Updated URL
- Added icon

* Thu Jul 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.7.0.

* Tue May 11 1999 Bernhard Rosenkränzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 3)

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Sat Mar 6 1999 Michael Fulbright <drmike@redhat.com>
- version 0.6.0

* Wed Oct 7 1998 John Ellis <gqview@geocities.com>
- updated for version 0.4.2

* Fri Sep 11 1998 John Ellis <gqview@geocities.com>
- updated for version 0.4.1

* Sat Aug 15 1998 John Ellis <gqview@geocities.com>
- updated for version 0.4.0

* Wed Aug 5 1998 Joel Young <jyoung@erols.com>
- enhanced rpm .spec file  
